﻿using System;

namespace DiskAccessLibrary.Mod.Utility
{
    public class ReadOnlyIndexer<TI, TV>
    {
        private readonly Func<TI, TV> _func;

        public ReadOnlyIndexer(Func<TI, TV> func) => this._func = func;

        public TV this[TI index] => _func(index);
    }
}
