using System.Collections.Generic;

namespace SCSI
{
    public partial class VirtualSCSITarget
    {
        private readonly string _targetName;

        public VirtualSCSITarget(string targetName, List<Disk> disks) : this(disks)
        {
            var parts = targetName.Split(new[] { ':' }, 2);
            _targetName = parts.Length == 2 ? parts[1] : "NoName";
        }
    }
}